<?php
		
		include('../conexion.php');
		
		session_start();
		 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='c' ){
		}else{
			header('location:acceso_denegado.php');
		}


       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	   $impvta =  $row_para["tarimp"];
	   $cdgact =  $row_para["cdgact"];
	  
?>
<html>
	<head>

		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	
		<script type="text/javascript" src="../funciones/validar.js"></script>
				<script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	    <link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
	
	    <script src="../src/js/jscal2.js"></script>
        <script src="../src/js/lang/en.js"></script>
    	<link rel="stylesheet" type="text/css" href="../src/css/jscal2.css" />
   		<link rel="stylesheet" type="text/css" href="../src/css/border-radius.css" />
    	<link rel="stylesheet" type="text/css" href="../src/css/steel/steel.css" />
		

		
 		<script src="..//jquery-maskmoney/src/jquery.maskMoney.js" type="text/javascript"></script>	
		
				

		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
		    
		<script language="javascript">
		
		

 
 


///////////////////////////////// Funcion Validar Formulario /////////////////////////////////////////	
		
		function validar() 
			{
			if (confirm(" Desea guardar el articulo ? "))
				var mensaje="";
				var entero=0;
				var enteroo=0;
		         
		
				if (document.getElementById("Acdgbar").value=="") mensaje="  - Código de Barras\n";
				if (document.getElementById("Adscart").value=="") mensaje+="  - Descripción del articulo\n";
				if (document.getElementById("pre001").value=="0.00") mensaje+="  - El precio  no puede ser 0.00\n";
		  		//if (document.getElementById("pre002").value=="0.00") mensaje+="  - El precio 2 no puede ser 0.00\n";
				if (document.getElementById("utiart1").value=="0.00") mensaje+="  - La Utilidad 1 no puede ser 0.00\n";
				//if (document.getElementById("utiart2").value=="0.00") mensaje+="  - La Utilidad 2 no puede ser 0.00\n";	
		//	    if (document.getElementById("utisug").value=="0.00") mensaje+="  - La Utilidad Sugeridad no puede ser 0.00\n";	
				if (document.getElementById("pre001").value=="0") mensaje+="  - El precio 1 no puede ser 0.00\n";
		  	//	if (document.getElementById("pre002").value=="0") mensaje+="  - El precio 2 no puede ser 0.00\n";
				if (document.getElementById("utiart1").value=="0") mensaje+="  - La Utilidad 1 no puede ser 0.00\n";
				//if (document.getElementById("utiart2").value=="0") mensaje+="  - La Utilidad 2 no puede ser 0.00\n";
			//	if (document.getElementById("utisug").value=="0") mensaje+="  - La Utilidad Sugeridad no puede ser 0.00\n";		
				if (document.getElementById("utiart1").value=="") mensaje+="  - La Utilidad 1 no puede ser 0.00\n";
			//	if (document.getElementById("utiart2").value=="") mensaje+="  - La Utilidad 2 no puede ser 0.00\n";	
				//if (document.getElementById("utisug").value=="") mensaje+="  - La Utilidad Sugeridad no puede ser 0.00\n";	
				if (document.getElementById("Acosart").value=="") mensaje+="  - El costo no puede ser 0.00\n";	
				if (document.getElementById("pre001").value <= "0") mensaje+="  - El Precio  no puede ser menor a 0.00\n";
			//	if (document.getElementById("pre002").value < "0") mensaje+="  - El precio al mayoreo no puede ser menor a 0.00\n";	
				if (document.getElementById("cdgpro").value=="") mensaje+="  - El codigo de proveedor\n";	
				if (document.getElementById("Familia").value=="") mensaje+="  - Falta por definir la Familia \n";
				if (document.getElementById("tarifa").value=="") mensaje+="  - Falta por definir la Tarifa del Impuesto \n";
				if (document.getElementById("ivporc").value=="") mensaje+="  - Falta por definir la Monto del Impuesto \n";
				if (document.getElementById("unimed").value=="") mensaje+="  - Falta por definir la Unidad de Medida \n";
				if (document.getElementById("Linea").value=="") mensaje+="  - Falta por Definir la Linea\n";
				if (document.getElementById("cdgcab").value=="") mensaje+="  - Falta por Definir El Codigo CABYS\n";
				
								if( $("#acupunt").prop("checked") ) {  // si el ckecl de puntos está marcado
				if (document.getElementById("canpunt").value <= 0) mensaje+="  - Falta por Definir en monto de Puntos \n";
				if (document.getElementById("canpunt").value=="") mensaje="  - Falta por Definir en monto de Puntos \n";
				}
				
				
				if (document.getElementById("Acosart").value=="0.00") { 
					
							mensaje+="  -  El Costo no puede ser 0.00\n"; 
						
						}
	
				if (document.getElementById("Adesart").value=="") 
						{ 
						document.getElementById("Adesart").value=0 
						} else {
							entero=document.getElementById("Adesart").value;
							if (isNaN(entero)==true) {
								mensaje+="  - El descuento debe ser numerico\n";
							} else {
								document.getElementById("Adesart").value=entero;
							}
						} 
			
				if (document.getElementById("fleart").value=="") 
						{ 
						document.getElementById("fleart").value=0 
						} else {
							entero=document.getElementById("fleart").value;
							if (isNaN(entero)==true) {
								mensaje+="  - El Flete debe ser numerico\n";
							} else {
								document.getElementById("fleart").value=entero;
							}
						} 
						
						
						
		    if (document.getElementById('farmacia').value == 1) {
                    if (document.getElementById('regmedfarm').value == '') 
                        mensaje+='  - Debe Ingresar el Registro Sanitario del Producto\n'; enfoque='regmedfarm'
                    if (document.getElementById('formafarm').value=='') 
                        mensaje+='  - Selecione la Formula Farmaceutica del Producto\n'; enfoque='formafarm'
                   
					  
                }	

				
				if (mensaje!="") {
					alert("Atencion, los siguientes campos son necesarios:\n\n"+mensaje);
				} else {
				
				ivporc.disabled=false;
					
					document.getElementById("formulario").submit();
												
				}
			}
		
		
/////////////////////////////////////   Funcion Calcular precio //////////////////////////////////		
		
		function calcular_precio001()
	
			{
		
					var cosart=document.getElementById("Acosart").value;
					var desart=document.getElementById("Adesart").value;
					var utiart1=document.getElementById("utiart1").value;
					var ivporc=document.getElementById("ivporc").value;
					var fleart=document.getElementById("fleart").value;
	
  if (cosart==""){ subexe=0; document.getElementById("Acosart").value=0.00;} else { cosart2= cosart.replace(",","");   cosart= cosart2.replace(",","");} ;


  if (desart==""){ desart=0; document.getElementById("Adesart").value=0.00;}  else { desart= parseFloat(desart.replace(",","")); } ;
  if (utiart1==""){ utlart1=0; document.getElementById("utiart1").value=0.00;} else { utlart1= parseFloat(utiart1.replace(",","")); } ;
  if (ivporc==""){ivporc=0; document.getElementById("ivporc").value=0.00;}  else { ivporc= parseFloat(ivporc.replace(",","")); } ;
  if (fleart==""){fleart=0; document.getElementById("fleart").value=0.00;}  else { fleart= parseFloat(fleart.replace(",","")); } ;

				
					var cob_iv=document.getElementById("cob_iv").value;
			
				
					if (cob_iv==1){
					
					
			
			
			
					
				
				descuento=(cosart*(desart/100));
				costo1=cosart-descuento;
				impuesto=(costo1*(ivporc/100));
				costo2=costo1+impuesto;
				utilidad=(costo2*(utlart1/100));
			//	utilidad2=(costo2*(utlart2/100));
				costofinal=costo2+utilidad+fleart;
			//	costofinal2=costo2+utilidad2+fleart;
				costofinal=parseInt(costofinal);
			//	costofinal2=parseInt(costofinal2);
				impuesto=parseInt(impuesto);
			
				document.getElementById("impart").value=impuesto;
				document.getElementById("pre001").value=costofinal;
			//	document.getElementById("pre002").value=costofinal2;
				//document.getElementById("impuesto").value=impuesto;
				
		
				
				} else 	{
				
				descuento=cosart*(desart/100);
				impuesto=0;
				costo1=cosart-descuento;
				utilidad=costo1*(utlart1/100);
			//	utilidad2=costo1*(utlart2/100);
				costofinal=costo1+utilidad+fleart;
			//	costofinal2=costo1+utilidad2+ fleart;
			
				//costofinal=costo1+utilidad
						costofinal=parseInt(costofinal);
			//	costofinal2=parseInt(costofinal2);
				impuesto=parseInt(impuesto);
			   
			   	document.getElementById("impart").value=impuesto;
				document.getElementById("pre001").value=costofinal;
			//	document.getElementById("pre002").value=costofinal2;
				
			
			 	
			 } 
			}
			

	
	
	
	/////////////////////////////////////   Funcion Calcular costo  //////////////////////////////////		
		
		function calcular_costos()
	
			{
		
					var cosart=document.getElementById("Acosart").value;
					var desart=document.getElementById("Adesart").value;
					var utiart1=document.getElementById("utiart1").value;
					var ivporc=document.getElementById("ivporc").value;
					var fleart=document.getElementById("fleart").value;
					var pre001=document.getElementById("pre001").value;
	
  if (cosart==""){ subexe=0; document.getElementById("Acosart").value=0.00;} else { cosart2= cosart.replace(",","");   cosart= cosart2.replace(",","");} ;


  if (desart==""){ desart=0; document.getElementById("Adesart").value=0.00;}  else { desart= parseFloat(desart.replace(",","")); } ;
  if (utiart1==""){ utlart1=0; document.getElementById("utiart1").value=0.00;} else { utlart1= parseFloat(utiart1.replace(",","")); } ;
  if (ivporc==""){ivporc=0; document.getElementById("ivporc").value=0.00;}  else { ivporc= parseFloat(ivporc.replace(",","")); } ;
  if (fleart==""){fleart=0; document.getElementById("fleart").value=0.00;}  else { fleart= parseFloat(fleart.replace(",","")); } ;
  if (pre001==""){pre001=0; document.getElementById("pre001").value=0.00;}  else { pre001= parseFloat(pre001.replace(",","")); } ;

				
					var cob_iv=document.getElementById("cob_iv").value;
			
				
					if (cob_iv==1){
				descuento =  0;			
				utilidad  =  (utlart1/100)+1;
				impuesto  =  (ivporc/100)+1;
				taza = ivporc/100 ;
				costosinuti = (pre001-fleart)/utilidad ; 800
				costosinimp = costosinuti / impuesto ;   70
				impart = costosinimp * taza ;
				
				document.getElementById("Acosart").value=costosinimp;
				document.getElementById("impart").value=impart;
				document.getElementById("Adesart").value=descuento;
	
		
				
				} else 	{
				

		
				descuento =  0;		
				utilidad  =  (utlart1/100)+1;

				costosinuti = (pre001-fleart)/utilidad ; 800
				impart =0 ;
				
				document.getElementById("Acosart").value=costosinuti;
				document.getElementById("impart").value=impart;
				document.getElementById("Adesart").value=descuento;
	
			 	
			 } 
			}
			
	function calcular_utilidad()
			{
		
					var cosart=document.getElementById("Acosart").value;
					var desart=document.getElementById("Adesart").value;
					var utiart1=document.getElementById("utiart1").value;
	   				var pre001=document.getElementById("pre001").value;
		
					var ivporc=document.getElementById("ivporc").value;
					var fleart=document.getElementById("fleart").value;
	
  if (cosart==""){ subexe=0; document.getElementById("Acosart").value=0.00;} else { cosart2= cosart.replace(",","");   cosart= cosart2.replace(",","");} ;


  if (desart==""){ desart=0; document.getElementById("Adesart").value=0.00;}  else { desart= parseFloat(desart.replace(",","")); } ;
  if (utiart1==""){ utlart1=0; document.getElementById("utiart1").value=0.00;} else { utlart1= parseFloat(utiart1.replace(",","")); } ;

		  
  if (ivporc==""){ivporc=0; document.getElementById("ivporc").value=0.00;}  else { ivporc= parseFloat(ivporc.replace(",","")); } ;
  if (fleart==""){fleart=0; document.getElementById("fleart").value=0.00;}  else { fleart= parseFloat(fleart.replace(",","")); } ;

				
					var cob_iv=document.getElementById("cob_iv").value;
			
				
					if (cob_iv==1){
		
				
				descuento=(cosart*(desart/100));
				costo1=cosart-descuento;
				impuesto=(costo1*(ivporc/100));
				costo2=costo1+impuesto;
			
				utilidad1=(pre001-costo2);
				$poruti1=(utilidad1/costo2)*100;

	
				impuesto=parseInt(impuesto);
			
				document.getElementById("impart").value=impuesto;
				document.getElementById("utiart1").value=$poruti1;

	
				} else 	{
				
				descuento=cosart*(desart/100);
				impuesto=0;
				costo1=cosart-descuento;
				utilidad1=(pre001-costo1);
			
				$poruti1=(utilidad1/costo1)*100;


				impuesto=parseInt(impuesto);
			   
			   	document.getElementById("impart").value=impuesto;
				document.getElementById("utiart1").value=$poruti1;


			 	
			 } 
			}
			


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


	////////////////////////////////////////////////////////////////  CANCELAR //////////////////////////////////////////////
				
	
	
		function cancelar() {
			location.href="index.php";
		}
		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function limpiar() {
			document.getElementById("formulario").reset();
		}
		
		function cancelar() {
			location.href="index.php";
		}
		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function limpiar() {
			document.getElementById("formulario").reset();
		}
		///////////////////////////////// Validar Articulo ///////////////////////////////////////////
		
		function validararticulo(){
			
			//var cliente=document.getElementById("cdgcli").value;
			var codigo=document.getElementById("Acdgbar").value;
			miPopup = window.open("comprobararticulo.php?cdgbar="+codigo, "frame_datos2","width=900,height=90,scrollbars=yes");
			document.getElementById("Adscart").select();
			document.getElementById("Adscart").focus();

	}


			
		//nombre del primer campo en la secuencia
		siguienteCampo = ""
		//nombre del formlario
		nombreForm = "formulario"
		
		//funcion que gestiona el evento
		function TelcaPulsada( e ) {
		
		   if ( window.event != null)				//IE4+
			  tecla = window.event.keyCode;
		   else if ( e != null ) 				//N4+ o W3C compatibles
			  tecla = e.which;
		   else
			  return;
			
		   if (tecla == 13) { 					//se pulso enter
			  if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
				 alert('Envio del formulario.')			//eliminar este alert para uso normal
				 return false					//sustituir por return true para hacer el submit
			  } else { 						//da el foco al siguiente campo
				 eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
				 return false
			  }
		   }
		}
		
		document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
		if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
			document.captureEvents(Event.KEYDOWN)
			


function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		
function enfoque_inicial() {	

		document.getElementById("Acdgbar").focus();
		document.getElementById("Acdgbar").select();
		
		
			
		}
		
		
	function validarproveedor(){
			var codigo=document.getElementById("cdgpro").value;
			miPopup = window.open("comprobarproveedor.php?cdgpro="+codigo,"frame_datos1","width=700,height=80,scrollbars=yes");

		document.getElementById("Familia").focus();
		document.getElementById("Familia").select();
		}	
		
		function validarcabys(){
		var codigo=document.getElementById("cdgcab").value;
		var cdgtippro=document.getElementById("cdgtippro").value;
		miPopup = window.open("comprobarcabys.php?cdgpro="+codigo+"&cdgtippro="+cdgtippro,"frame_datos1","width=700,height=80,scrollbars=yes");
		
		//	document.getElementById("Familia").focus();
		//	document.getElementById("Familia").select();
		}
		
	
	function abreVentana(){
			miPopup = window.open("ver_proveedores.php","miwin","width=900,height=650,scrollbars=yes");
			miPopup.focus();
				document.getElementById("Acosart").focus();
				document.getElementById("Acosart").select();
		
		}
		

			function abreVentanaCabys(){
				

			var cdgtippro=document.getElementById("cdgtippro").value;	
			miPopup = window.open("ver_cabys.php?cdgtippro="+cdgtippro,"miwin","width=900,height=650,scrollbars=yes");
			miPopup.focus();
			//	document.getElementById("Acosart").focus();
				//document.getElementById("Acosart").select();
		
		}
		
		
	/////////////////////////////////////////////  combo dependiente  ////////////////////////////////////////////////////////////
	
				$(document).ready(function(){
				$("#Familia").change(function () {

					$('#cbx_localidad').find('option').remove().end().append('<option value="whatever"></option>').val('whatever');
					
					$("#Familia option:selected").each(function () {
						cdgfam = $(this).val();
						$.post("includes/getLinea.php", { cdgfam: cdgfam }, function(data){
							$("#Linea").html(data);
						});            
					});
				})
			});
			


	function	actualiza_impuesto(){

					var impvta=document.getElementById("impvta").value;	
					var cob_iv=document.getElementById("cob_iv").value;
					
						if (cob_iv==1){
	
				document.getElementById("ivporc").value=impvta;
				document.getElementById("ivporc").focus();
		
				
				} else 	{
				

				document.getElementById("ivporc").value=0;
				document.getElementById("ivporc").focus();

	
			 	
			 } 
			}
			
				function verifica_impuesto(){
					var ivporc=parseInt(document.getElementById("ivporc").value);
					var impuestocabys =parseInt(document.getElementById("impuesto").value);
					var ivporc2=document.getElementById("ivporc").value;
					
					
					
					if(ivporc2!="" ){
							if (impuestocabys==ivporc){
							
							}else {
							
							alert("El codigo Cabys no concide con el tipo de impuesto actual del articulo");
							document.formulario.cdgcab.value="";
							document.formulario.dscprohac.value="";
							document.formulario.cdgcab.focus();}
							
						
							
				}
				
				else {
					
					
					alert("Falta por definir la Monto del Impuesto");
					document.formulario.cdgcab.value="";
					document.formulario.dscprohac.value="";
					document.formulario.cob_iv.focus();
					
				}	
				
				
				}
			function limpia_cabys(){
	
	document.formulario.cdgcab.value="";
	document.formulario.dscprohac.value="";
	document.formulario.impuesto.value="";
	
			}
			
				/////////////////////////////////////////////  combo dependiente  impuestos /////////////////////////////////////////////////////
	
				$(document).ready(function(){
				$("#cob_iv").change(function () {

					$('#cbx_localidad').find('option').remove().end().append('<option value="whatever"></option>').val('whatever');
					
					$("#cob_iv option:selected").each(function () {
						cob_iv = $(this).val();
						$.post("includes/getTarifa.php", { cob_iv: cob_iv }, function(data){
							$("#tarifa").html(data);
						});            
					});
				})
			});


			$(document).ready(function(){
				$("#tarifa").change(function () {
					$("#tarifa option:selected").each(function () {
						tarifa = $(this).val();
						 cob_iv = document.getElementById("cob_iv").value;
						$.post("includes/getPorcentaje.php", { tarifa: tarifa ,  cob_iv: cob_iv }, function(data){
						
							$("#ivporc").html(data);
				            calcular_precio001();
							
						});    
						
		     
					});
				
				})
				
			});	
			
			
			
					/////////////////////////////////////////////  combo dependiente UNIDADES  /////////////////////////////////////////////////////
	
				$(document).ready(function(){
				$("#cdgtippro").change(function () {

					$('#cbx_localidad').find('option').remove().end().append('<option value="whatever"></option>').val('whatever');
					
					$("#cdgtippro option:selected").each(function () {
						cdgtippro = $(this).val();
						$.post("includes/getUnidad.php", { cdgtippro: cdgtippro }, function(data){
							$("#unimed").html(data);
						});            
					});
				})
			});

function  validaStockmax()  {

var stockmax=parseInt(document.getElementById("stockmax").value);
var stockmin =parseInt(document.getElementById("stockmin").value);


if (stockmax<stockmin){
 alert("Atencion, El Stock maximo no puede ser menor al minimo ");
 document.getElementById("stockmax").select();
document.getElementById("stockmax").focus();
 
  }


}

 function  validaStockmin()  {

var stockmax=parseInt(document.getElementById("stockmax").value);
var stockmin =parseInt(document.getElementById("stockmin").value);

 if (stockmin>stockmax){
alert("Atencion, El Stock minimo no puede ser mayor al maximo ");
document.getElementById("stockmin").select();
document.getElementById("stockmin").focus();



}

}

  function comprobar_fechas(){

/////////////////////////////////////////////  invierte la fecha a xxxx-xx-xx ////////////////////////////////	  
		  
	  var parts = document.getElementById("feclote").value.split(/-/);
		parts.reverse();
		fechainicio=parts.join('-');
		

		
////////////////////////////////////////////// verifique que la fecha sea correcta ///////////////////////////	


 



	
//////////////////////////////////////  convierte la fecha a formato date para ser comparado /////////////////////////	

	 date1 = new Date(fechainicio);

		 
	var f1 = new Date();
	var f2 = new Date(date1); //31 de diciembre de 2015
	
	f1.setHours(0,0,0,0);
	f2.setHours(0,0,0,0);


////////////////////////////////////////// compara las fechas ///////////////////////////////////////////////////////
	
	if (fechainicio !=""){
		
		
		 var fechaArr = fechainicio.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
		
	// if (f2.getTime() > f1.getTime()){
	// alert("la Fecha no puede ser mayor a la Actual ");
	// document.getElementById("feclote").value="";
	// document.getElementById("feclote").select();
	// }

 }else{
  alert("Error fecha  incorrecta favor verifique");
  document.getElementById("feclote").value="";
  document.getElementById("feclote").select();
 }
 
	}
	

	
	// buscar();
	}
	
	
	
jQuery(function($){	
		$("#feclote").mask("99-99-9999");
		});
		


function cambia_tipo(){
  document.getElementById("cdgcab").value="";

}


			function puntos(){
		
		
		if (document.getElementById("acupunt").checked == false ) {
		
		document.getElementById("canpunt").value="";
		
		
		
		}
		
		
		
		
		
		}	
		
		</script>
	</head>
   
		<body onLoad=" enfoque_inicial(); nobackbutton(); ">
		<div id="">
			<div id="zonaContenido">
				<div align="center">
				<div id="tituloForm" class="header">Modulo Ingresar Articulo</div>
			
				<p>&nbsp;</p>
				<form id="formulario" name="formulario" method="post" action="../inventario/guardar_articulo.php">
				
				<input id="impvta" name="impvta" class="comboMedio"  type="hidden"  value="<?php  echo $impvta ?>"  >
				<div id="formulario" class="contenidoCliente">
				  <table class="fuente8" width="95%" cellspacing=0 cellpadding=3 border=0>
                                          <?php
					  
                            $query_estcli = "SELECT * FROM  estatus ORDER BY nomest ASC";
                            $result = $mysqli->query($query_estcli);
					  ?>
                      
                                        <?php  
									
					$consulta = "SELECT MAX(cdgart) AS CDGART FROM web_1001";
					$resultado = $mysqli->query($consulta);
					$row = $resultado->fetch_assoc();
					$id=$row["CDGART"];
					$cdgbar= $id + 1 ;	
					
					 if (!isset($_GET["cdgbar"])) { $cdgbar=$cdgbar; } else  { $cdgbar=$_GET["cdgbar"]; }				
					 $cdgbar= str_replace(' ', '', $cdgbar);
					?>
                    <tr>
                      <td width="1%">&nbsp;</td>
                      <td width="15%">Codigo Barras</td>
    
                      <td><input name="Acdgbar" type="t ext" class="cajaGrande" id="Acdgbar" size="70" maxlength="20"  value=" <?php echo $cdgbar; ?>" width="29%" rowspan="7" align="left" valign="top"  onChange="validararticulo()" onFocus= "siguienteCampo ='Acdgbar2';"></td>
                      <td colspan="3"><input name="Acdgbar2" type="text" class="cajaGrande" id="Acdgbar2" size="70" maxlength="15"  value="" width="29%" rowspan="7" align="left" valign="top"  onChange="validararticulo()" onFocus= "siguienteCampo ='Acdgbar3';" placeholder="2 codigo de Barras"></td>
                   
                      <td colspan="2" ><input name="Acdgbar3" type="text" class="cajaGrande" id="Acdgbar3" size="70" maxlength="15"  value="" width="29%" rowspan="7" align="left" valign="top"  onChange="validararticulo()" onFocus= "siguienteCampo ='Adscart';" placeholder="3 codigo de Barras"></td>
                     
                      <td width="9%"><select id="comboestatus" name="comboestatus" class="comboMedio"  >
                        <?php
								while ($fila = $result->fetch_assoc()) { ?>
                        <option value="<?php echo  $fila["codest"]?>"><?php echo  $fila["nomest"]?></option>
                        <?php 
								} ?>
                      </select></td>
                    </tr>
                    <tr>
                      <td height="34">&nbsp;</td>
                      <td>Descripción</td>
                      <td colspan="7"><input id="Adscart" type="text"  autocomplete="off" class="cajaGrandeNombre" name="Adscart" maxlength="365" onFocus="siguienteCampo ='Aexiact';"></td>
                    </tr>
                    <?php
					  	$exento="SELECT * FROM tipocliente ORDER BY dsctipcli DESC";
                        $resultado1 = $mysqli->query($exento) 

			         ?>
                    <tr>
                      <td>&nbsp;</td>
                      <td>Exento</td>
                      <td colspan="2"><select id="cob_iv" name="cob_iv" class="comboMedio"   onFocus="siguienteCampo ='comboestatus';" onChange="calcular_precio001()"  >
                        <?php
								while ($fila = $resultado1->fetch_assoc()) { ?>
                        <option value="<?php echo  $fila["cdgtipcli"]?>"><?php echo  $fila["dsctipcli"]?></option>
                        <?php 
								} ?>
                      </select></td>
                      <td colspan="3"><p>Tarifa impuesto Porcentaje</p>                      </td>
                      <td colspan="2"><select id="tarifa" name="tarifa" class="comboGrande"  onFocus="calcular_precio001()"  onChange="actualiza_impuesto();"  >
            
                      </select>
                        <select id="ivporc" name="ivporc" class="comboMedio"    disabled="disabled"    onFocus="siguienteCampo ='comboestatus';" onChange="calcular_precio001()"  >
                        </select></td>
                    </tr>
        <?php
					  	$tipo="SELECT * FROM hac_tipo_producto ORDER BY dsctippro ASC";
                        $result1 = $mysqli->query($tipo) 

			         ?>
                    <tr>
                      <td>&nbsp;</td>
                      <td>Tipo</td>
                      <td colspan="2"><select id="cdgtippro" name="cdgtippro" class="comboMedio"   onBlur="calcular_precio001()"   onChange="calcular_precio001(); cambia_tipo();"   >
                        <?php
								while ($fila = $result1->fetch_assoc()) { ?>
                        <option value="<?php echo  $fila["cdgtippro"]?>"><?php echo  $fila["dsctippro"]?></option>
                        <?php 
								} ?>
                      </select></td>
                      <td colspan="3">Existencia</td>
                      <td colspan="2"><input id="Aexiact" name="Aexiact"  autocomplete="off" type="text"  class="cajaMedia" style='text-align:right;' maxlength="14"  align="right" value="0.00" onFocus="siguienteCampo ='Acosart';"></td>
                    </tr>
                    <tr>
    <td>&nbsp;</td>
    <td>Costo</td>
    <td colspan="2"><input id="Acosart" name="Acosart" autocomplete="off" type="text" class="cajaMedia" maxlength="14" style='text-align:right;' value="0.00"   onKeyPress="mascara(this,moneda) "  onBlur="calcular_precio001();" onFocus=" siguienteCampo ='Adesart';" ></td>
    <td colspan="3">Impuesto</td>
    <td colspan="2"><input id="impart" name="impart" type="text" class="cajaMedia" maxlength="14" style='text-align:right;' value="0.00"  readonly=""   onChange=" "  onFocus="  " ></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td>Descuento</td>
    <td colspan="2"><input id="Adesart" name="Adesart" autocomplete="off" type="text" class="cajaMedia" maxlength="14" style='text-align:right;' value="0.00" onChange="calcular_precio001()"  onFocus="  siguienteCampo ='fleart';" ></td>
    <td colspan="3">Flete</td>
    <td colspan="2"><input id="fleart" name="fleart" autocomplete="off" type="text" class="cajaMedia" maxlength="14" style='text-align:right;' value="0.00" onChange="calcular_precio001()" onFocus="  siguienteCampo ='utiart1';" ></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td>Utilidad </td>
    <td colspan="2"><input id="utiart1" name="utiart1" autocomplete="off" type="text" class="cajaMedia" style='text-align:right;' maxlength="14"  value="0.00" onChange="calcular_precio001()" onFocus="siguienteCampo ='cdgcab';" ></td>
    <td colspan="3">Precio</td>
    <td colspan="4"><input id="pre001" name="pre001" type="text" class="cajaMedia" maxlength="14" style='text-align:right;'  value="0.00"   onChange="calcular_utilidad()" autocomplete="off" onFocus="siguienteCampo ='desmax';"  ></td>
  </tr>
  
  <tr>
    <td>&nbsp;</td>
    <td>Tipo Articulo </td>
	             <?php
					  	$articulo="SELECT * FROM hac_tipo_articulo ORDER BY dsctipart DESC";
                        $resultado4 = $mysqli->query($articulo) 

			         ?>
                 <td colspan="2"><select id="cdgtipart" name="cdgtipart" class="comboMedio"   onBlur="calcular_precio001()"   onChange="calcular_precio001()"   >
                   <?php
								while ($fila = $resultado4->fetch_assoc()) { ?>
                   <option value="<?php echo  $fila["cdgtipart"]?>"><?php echo  $fila["dsctipart"]?></option>
                   <?php 
								} ?>
                 </select></td>
                 <td colspan="3">U. medida </td>
	        <?php
					  	$medida="SELECT * FROM hac_unidad_medida ORDER BY dscunimed DESC";
                        $resultado5 = $mysqli->query($medida) 

			         ?>
    <td colspan="2"><select id="unimed" name="unimed" class="comboGrande"     onChange="calcular_precio001()"   >
      <?php
								while ($fila2 = $resultado5->fetch_assoc()) { ?>
      <option value="<?php echo  $fila2["simunimed"]?> "><?php echo  $fila2["dscunimed"]?></option>
      <?php 
								} ?>
    </select>
			
		<input id="farmacia" name="farmacia"  type="hidden" class="cajaGrande" style='text-align:right;'  value="0"  >	
		<input id="utiart2" name="utiart2"  type="hidden" class="cajaGrande" style='text-align:right;'  value="0.00"  >		
		<input id="pre002" name="pre002"  type="hidden" class="cajaGrande" style='text-align:right;'  value="0.00"  >		
		<input id="utisug" name="utisug"  type="hidden" class="cajaGrande" style='text-align:right;'  value="0.00"  >	</td>
  </tr>
  
  <tr>
    <td>&nbsp;</td>
    <td>Cabys</td>
    <td> <input id="cdgcab" name="cdgcab" type="text"  class="cajaMedia" maxlength="15" style='text-align:center;'  autocomplete="off"  onFocus=" siguienteCampo ='cdgpro';"  onChange="validarcabys()" title="">
 <?php   if (!isset($_GET["cdgbar"])) {    ?>   <img src="../img/Search_Male_User_Icon_32.png" alt="Buscar" width="25" height="27" title="Catálogo de bienes y servicios"  onClick="abreVentanaCabys()" onMouseOver="style.cursor=cursor"> <?php  }	?>  </td>
    <td colspan="6"><input id="dscprohac" name="dscprohac" type="text"   class="cajaGrande" maxlength="50" onFocus="siguienteCampo ='Familia';" ></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td>Proveedor </td>
    <td width="27%"><input id="cdgpro" name="cdgpro" type="text"   class="cajaMedia" maxlength="6" style='text-align:center;'  autocomplete="off"  onFocus=" siguienteCampo ='desmax';"  onChange="validarproveedor()"     >
 <?php   if (!isset($_GET["cdgbar"])) {    ?>   <img src="../img/Search_Male_User_Icon_32.png" alt="Buscar" width="25" height="27" title="Buscar proveedor"  onClick="abreVentana()" onMouseOver="style.cursor=cursor"> <?php  }	?> </td>
    <td colspan="6"><input id="dscpro" name="dscpro" type="text"   class="cajaGrande" maxlength="6" onFocus="siguienteCampo ='Familia';" ></td>
  </tr>
  <tr>
<?php

	$actividades_comerciales="SELECT * FROM hac_actividades_comerciales ORDER BY cdgactpri ASC";
	$resultado6 = $mysqli->query($actividades_comerciales) 
?>
			       
    <td>&nbsp;</td>
    <td>Activ Comercial </td>
    <td colspan="3"><select id="cdgact" name="cdgact" class="comboGrande"     >
	 <?php
					 while ($fila5 = $resultado6->fetch_assoc()) { 
					          if ($cdgact ==  $fila5["cdgact"]) { ?>
                          <option value="<?php echo  $fila5["cdgact"]?>" selected="cdgbod"><?php echo  $fila5["dscact"]?></option>
                          <?php } else { ?>
                          <option value="<?php echo  $fila5["cdgact"]?>"><?php echo  $fila5["dscact"]?></option>
                          <?php } ;
								} ?>
								

        </select></td>
    <td colspan="2">Unid. Empaque</td>
    <td colspan="3"><input id="uniemp" autocomplete="off" name="uniemp" type="text" class="cajaMedia" maxlength="14" style='text-align:right;' value="1.00" onFocus=" siguienteCampo ='stockmax';"  ></td>
    </tr>
  <tr>
<?php

	$query = "SELECT cdgfam, dscfam FROM familias ORDER BY dscfam";
	$resultado=$mysqli->query($query);
?>
    <td>&nbsp;</td>
    <td>Familia </td>
    <td colspan="3"><select name="Familia" id="Familia" class="comboGrande" >
      <option value="0">Selecciona una Familia</option>
      <?php while($row = $resultado->fetch_assoc()) { ?>
      <option value="<?php echo $row['cdgfam']; ?>"><?php echo $row['dscfam']; ?></option>
      <?php } ?>
    </select></td>
    <td colspan="2">Bodega</td>
    <?php
					  	$bodega="SELECT * FROM bodegas ORDER BY dscbod ASC";
                        $resultado5 = $mysqli->query($bodega) 

			         ?>
	
    <td colspan="2"><select id="cdgbod" name="cdgbod" class="comboGrande"     >
        <?php
								while ($fila = $resultado5->fetch_assoc()) { ?>
        <option value="<?php echo  $fila["cdgbod"]?>"><?php echo  $fila["dscbod"]?></option>
        <?php 
								} ?>
        </select></td>
    </tr>
  <tr>
    <td>&nbsp;</td>
    <td>Linea</td>
    <td colspan="3"><select name="Linea" id="Linea" class="comboGrande">
      <option value="">Seleccione Linea</option>
    </select></td>
    <td colspan="2">&nbsp;</td>
    <td colspan="2"><input type="checkbox" name="tipcanbas" id="tipcanbas" value="1">
      Canasta Básica </td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td>Estante</td>
    <td colspan="3"><input id="estante" autocomplete="off" name="estante" type="text" class="cajaGrande" maxlength="14" style='text-align:center;'  onFocus=" siguienteCampo ='Acosart';" ></td>
    <td colspan="2">&nbsp;</td>
    <td colspan="2"><input type="checkbox" name="artpro" id="artpro" value="1">
      Promocional</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td colspan="2">&nbsp;</td>
    <td colspan="3"><input type="checkbox" name="acupunt" id="acupunt" value="1" onClick="puntos()"> Acumula Puntos</td>
    <td colspan="2">
	   <div align="left"> <input id="canpunt" name="canpunt" autocomplete="off" type="text" class="cajaMedia" maxlength="14" style='text-align:right;' value="<?php echo number_format( $row["canpunt"],2,".",",")?>"  onFocus=" siguienteCampo ='desmax';" > 
					 				     </div>
	</td>
  <tr>
    <td>&nbsp;</td>
    <td>Dcto Maximo</td>
    <td colspan="2"><input id="desmax" autocomplete="off" name="desmax" type="text" class="cajaMedia" maxlength="14" style='text-align:right;'  value="0.00" onFocus=" siguienteCampo ='desmin';" ></td>
    <td colspan="3">Dcto Minimo</td>
    <td colspan="2"><input id="desmin" autocomplete="off" name="desmin" type="text" class="cajaMedia" maxlength="14" style='text-align:right;' value="0.00" onFocus=" siguienteCampo ='stockmax';"  ></td>
  </tr>

  <tr>
    <td>&nbsp;</td>
    <td>Stock Maximo</td>
    <td colspan="2"><input id="stockmax" autocomplete="off" name="stockmax" type="text" class="cajaMedia" maxlength="14" style='text-align:right;'  value="0.00" onFocus=" siguienteCampo ='stockmin';"  onChange="validaStockmax()" ></td>
    <td colspan="3">Stock Minimo</td>
    <td colspan="2"><input id="stockmin" autocomplete="off" name="stockmin" type="text" class="cajaMedia" maxlength="14" style='text-align:right;'  value="0.00" onFocus=" siguienteCampo ='regmedfarm';" onChange="validaStockmin()"></td>
  </tr>
         <?php
					  	$exento="SELECT * FROM hac_formulas_farmaceuticas ORDER BY dscforfar ASC";
                        $resultado1 = $mysqli->query($exento) 

			         ?>
    <tr>
      <td>&nbsp;</td>
      <td>Registro Sanitario </td>
      <td colspan="2"><input id="regmedfarm" autocomplete="off" name="regmedfarm" type="text" class="cajaMedia" maxlength="100" style='text-align:center;'  onFocus=" siguienteCampo ='numlote';" ></td>
	   
				
      <td colspan="3">Formula Farmaceutica </td>
      <td colspan="2"><select id="formafarm" name="formafarm" class="comboMedio"   onFocus="siguienteCampo ='comboestatus';" onChange=""  >
        <?php
								while ($fila = $resultado1->fetch_assoc()) { ?>
        <option value="<?php echo  $fila["cdgforfar"]?>"><?php echo  $fila["dscforfar"]?></option>
        <?php 
								} ?>
      </select></td>
    </tr>
    <tr>
    <td>&nbsp;</td>
    <td>Número de Lote </td>
    <td colspan="2"><input id="numlote" autocomplete="off" name="numlote" type="text" class="cajaMedia" maxlength="14" style='text-align:center;'  onFocus=" siguienteCampo ='feclote';" ></td>
    <td colspan="3">Vencimiento de Lote </td>
    <td colspan="2"><input id="feclote" name="feclote" type="text" class="cajaMedia"  autocomplete="off" style='text-align:center;'  placeholder="Fecha" onChange="comprobar_fechas()"  onFocus=" siguienteCampo ='Acosart';" ></td>
  </tr>
                  </table>
				
				<div id="botonBusqueda">
				
				 <div align="center">
				 
					      <img src="../img/Symbol-Check_48x48-32.png" width="48" height="48" onClick="validar()" border="0"  class="aCentro" onMouseOver="style.cursor=cursor" title="Guardar Cambios">
                          <img src="../img/Symbol-Refresh_48x48-32.png" width="48" height="48" onClick="limpiar()" border="0"  class="aCentro" onMouseOver="style.cursor=cursor" title="Limpiar">
                          <img src="../img/Symbol-Delete_48x48-32.png" alt="canelar" width="48" height="48" border="0"  class="aCentro" title=" Cancelar" onClick="cancelar()" onMouseOver="style.cursor=cursor">
                          <input id="accion" name="accion" value="alta" type="hidden">
			          <input id="id" name="Zid" value="" type="hidden">
                       <input id="impuesto" name="impuesto" value="" type="hidden">
			       
					<iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
					</iframe>
			  </form>
  </div>            
  </div>
			  
			  
              <div    style="display:none; position:absolute; top:10%;  left:50%;  height:15%;  width:30%; background-color:white"   id="VentanaEmergente">
           
		  <p>
            <form id="formulario_emergente" name="formulario_emergente"  >
				
			     <table class="fuente8" width="98%" cellspacing=0 cellpadding=3 border=0>
					   <tr>
       <td colspan="27" align="center" >Codigo de Barras ya fue Registrado !!     Favor Verifique</td>
			       </tr>
					   <tr>
				
					   
					     <td  width="20%" align="center" >&nbsp;</td>
	<td  width="63%" align="center"  ><input  type="botton" value="OK" id="boton"   border="0" onClick= "ocultarVentana()"  style='text-align:center;' onMouseOver="style.cursor=cursor"  /></td>
					     <td  width="17%" align="center" >&nbsp;</td>
			       </tr>
					   <tr>
					     <td colspan="12" align="center" ><input type="image" value="Botón" id="boton2"   src="../img/Symbol-Error_128x128-32.png"  width="128" height="128" border="0" onClick= "ocultarVentana(),limpiar()"  onMouseOver="style.cursor=cursor"  /> </td>
                         
                        
			       </tr>

                        
		<input id="codfactura" name="codfactura" value="<?php echo $codfactura?>"  onkeypress="chequearEnter(event)" type="hidden">	
				
					</table>
		
						  </form>

</div>
          
		   		<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
					</iframe>    
		  </div>
	</div>
	

	</body>
</html>
